.spinner-container {
    display: flex;
    flex-direction: column;
}

.loading-text {
    bottom: 0;
    height: 80px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 175px;
    width: 370px;
    display: flex;
    justify-content: center;
}

#loader {
    bottom: 0;
    height: 80px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 80px;
}

#loader {
    bottom: 0;
    height: 80px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 80px;
}

#loader .dot {
    bottom: 0;
    height: 100%;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 87.5px;
}

#loader .dot::before {
    border-radius: 100%;
    content: "";
    height: 87.5px;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform: scale(0);
    width: 87.5px;
}

#loader .dot:nth-child(7n+1) {
    transform: rotate(45deg);
}

#loader .dot:nth-child(7n+1)::before {
    animation: 0.8s linear 0.1s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+2) {
    transform: rotate(90deg);
}

#loader .dot:nth-child(7n+2)::before {
    animation: 0.8s linear 0.2s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+3) {
    transform: rotate(135deg);
}

#loader .dot:nth-child(7n+3)::before {
    animation: 0.8s linear 0.3s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+4) {
    transform: rotate(180deg);
}

#loader .dot:nth-child(7n+4)::before {
    animation: 0.8s linear 0.4s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+5) {
    transform: rotate(225deg);
}

#loader .dot:nth-child(7n+5)::before {
    animation: 0.8s linear 0.5s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+6) {
    transform: rotate(270deg);
}

#loader .dot:nth-child(7n+6)::before {
    animation: 0.8s linear 0.6s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+7) {
    transform: rotate(315deg);
}

#loader .dot:nth-child(7n+7)::before {
    animation: 0.8s linear 0.7s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .dot:nth-child(7n+8) {
    transform: rotate(360deg);
}

#loader .dot:nth-child(7n+8)::before {
    animation: 0.8s linear 0.8s normal none infinite running load;
    background: #e45205 none repeat scroll 0 0;
}

#loader .loading {
    background-position: 50% 50%;
    background-repeat: no-repeat;
    bottom: -40px;
    height: 20px;
    left: 0;
    position: absolute;
    right: 0;
    width: 180px;
}

@keyframes load {
    100% {
        opacity: 0;
        transform: scale(1);
    }
}

@keyframes load {
    100% {
        opacity: 0;
        transform: scale(1);
    }
}

.spinner-message {
    text-align: center;
}

.sk-cube-grid {
    z-index: -1;
    width: 40px;
    height: 40px;
    margin: 100px auto;
    bottom: 0;
    height: 80px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 80px;
}

.sk-cube-grid .sk-cube {
    width: 33%;
    height: 33%;
    background-color: #e45205;
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
    animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
}

.sk-cube-grid .sk-cube1 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.sk-cube-grid .sk-cube2 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-cube-grid .sk-cube3 {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.sk-cube-grid .sk-cube4 {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.sk-cube-grid .sk-cube5 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.sk-cube-grid .sk-cube6 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-cube-grid .sk-cube7 {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.sk-cube-grid .sk-cube8 {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.sk-cube-grid .sk-cube9 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

@-webkit-keyframes sk-cubeGridScaleDelay {
    0%,
    70%,
    100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }
    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

@keyframes sk-cubeGridScaleDelay {
    0%,
    70%,
    100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }
    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}
